| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
Qore::NetIfInfo Struct Reference

network interface info hash More...

`#include <ql_lib.dox.h>`

## Public Attributes
*string | address
| interface address if available
*string | address_desc
| interface address description (if the address is available)
int | family
| interface family type; see Network Address Family Constants for possible values
string | familystr
| interface family type string
string | interface
| interface name

## Detailed Description

network interface info hash

Since
  Qore 0.9.0